Bug 853205 - C++ broker crashes due to priority queue corruption
C++ broker crashes due to priority queue corruption
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity high
: 2.3
: ---
Assigned To: Alan Conway
Leonid Zhaldybin
:
Depends On:
Blocks: 698367
  Show dependency treegraph
 
Reported: 2012-08-30 13:47 EDT by Justin Ross
Modified: 2014-11-09 17:38 EST (History)
6 users (show)

See Also:
Fixed In Version: qpid-cpp-0.18-1
Doc Type: Bug Fix
Doc Text:
Skip-errata: introduced & repaired since 2.2, not visible to customers.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:38:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer script (1.41 KB, text/x-python)
2012-10-11 03:31 EDT, Leonid Zhaldybin
no flags Details

  None (edit)
Description Justin Ross 2012-08-30 13:47:21 EDT
See https://issues.apache.org/jira/browse/QPID-4262
Comment 3 Leonid Zhaldybin 2012-10-11 03:29:35 EDT
(In reply to comment #1)
> Fixed on 0.18-mrg branch
> 
> http://mrg1.lab.bos.redhat.com/git/?p=qpid.git;a=commit;
> h=f9856b87379afd02b0fa2665c41b066778f2c9a4

I was able to reproduce the problem after building qpidd broker from the source code without the above commit. Alan, thank you for your help!
Comment 4 Leonid Zhaldybin 2012-10-11 03:31:02 EDT
Created attachment 625390 [details]
reproducer script
Comment 5 Leonid Zhaldybin 2012-10-11 04:48:15 EDT
Tested on RHEL5.8 and RHEL6.3 (both i386 and x86_64). The issue has been fixed.

Packages used for testing:

RHEL5.8
qpid-cpp-client-0.18-1.el5
qpid-cpp-client-devel-0.18-1.el5
qpid-cpp-client-devel-docs-0.18-1.el5
qpid-cpp-client-rdma-0.18-1.el5
qpid-cpp-client-ssl-0.18-1.el5
qpid-cpp-mrg-debuginfo-0.18-1.el5
qpid-cpp-server-0.18-1.el5
qpid-cpp-server-cluster-0.18-1.el5
qpid-cpp-server-devel-0.18-1.el5
qpid-cpp-server-rdma-0.18-1.el5
qpid-cpp-server-ssl-0.18-1.el5
qpid-cpp-server-store-0.18-1.el5
qpid-cpp-server-xml-0.18-1.el5

RHEL6.3
qpid-cpp-client-0.18-1.el6_3
qpid-cpp-client-devel-0.18-1.el6_3
qpid-cpp-client-devel-docs-0.18-1.el6_3
qpid-cpp-client-rdma-0.18-1.el6_3
qpid-cpp-client-ssl-0.18-1.el6_3
qpid-cpp-debuginfo-0.18-1.el6_3
qpid-cpp-server-0.18-1.el6_3
qpid-cpp-server-cluster-0.18-1.el6_3
qpid-cpp-server-devel-0.18-1.el6_3
qpid-cpp-server-rdma-0.18-1.el6_3
qpid-cpp-server-ssl-0.18-1.el6_3
qpid-cpp-server-store-0.18-1.el6_3
qpid-cpp-server-xml-0.18-1.el6_3

-> VERIFIED
Comment 6 Red Hat Bugzilla 2013-10-03 20:14:15 EDT
Removing external tracker bug with the id 'QPID-4262' as it is not valid for this tracker

Note You need to log in before you can comment on or make changes to this bug.